Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00445 Graphics Major Have not tried Jan 29, 2008, 16:19 Apr 3, 2008, 14:46
Tester Robbbert View Status Public Platform
Assigned To Resolution Suspended OS
Status [?] Closed Driver galaxian.cpp
Version 0.116u3 Fixed in Version Build
Summary 00445: pacmanbl, batman2: The background is shifted to the right and cut off on the right side.
Description The background is shifted to the right and cut off on the right side. The sprites seem to be in the right place though.

From Aaron: Rewriting the Galaxian driver is in progress, though on hold until I get the input stuff sorted out. Even then, progress is slow through all the hacks and bootlegs on the system.

Subjoined by Robbert: First off, the sound levels vary wildly across the drivers, galaxian is overbearingly loud, and amidar is barely audible.

galaxian.c
- zigzag has terrible sound quality - compare with dzigzag
- orbitron, the explosions are too loud
- dingo, sound is too quiet
- pisces, when you warp after the first level, the noise completely overrides the music
- 4in1, no death sounds (seems someone left a wire off)
- driving force, no crash sound (it's available, just not connected)

scramble.c
- atlantis, when you drop a bomb, the sound doesn't stop after impact

frogger.c
- froggrmc, the sound stops working after a few seconds of play


scobra.c
- tazmania, after killing a box, there are no shooting sounds for a few seconds


** Video issues ** I am highly suspicious of the colours in quite a few games but I cannot prove a thing!

galaxian.c
- sprites are cut off on the top row for gmgalax, pacmanbl and 4in1
- bullets are the wrong shape for scorpnmc, 4in1 (scorpion game) and tazzmang
- batman2, the screen flickers sometimes and it plays strangely
- warofbug, right side of player 2 score cut off
- mooncrsb has a corrupt gfx in attract screen and highscore screen
- omega should have the GAME_WRONG_COLORS definition added

scobra.c
- darkplnt, the screen is pushed halfway across


This report was previously pacmanbl0116u3yel.
Steps To Reproduce
Additional Information Formerly driver galaxian.c (changed in 0.124u1)
Flags
Regression Version 0.115u4
Affected Sets / Systems pacmanbl, batman2
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.00360
Tafoid
Administrator
Mar 23, 2008, 21:54
edited on: Mar 23, 2008, 21:56
Portions of this report were tested and reposted as individual bugs. This merged bug had parts in it not part of the original report and thus, confusing. This also properly accounts for one bug per report. Closed.